package com.os.mes.api.controller;

import com.os.common.core.controller.BaseController;
import com.os.common.core.domain.AjaxResult;
import com.os.mes.api.domain.ERPParamDto;
import com.os.mes.api.service.IERPPortService;
import com.os.mes.base.service.IBaseCustomDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * ERP接口Controller
 *
 * @author Yinq
 * @date 2024-05-10
 */
@RestController
@RequestMapping("/erp")
public class ERPPortController extends BaseController {
    @Autowired
    private IERPPortService portService;


    /**
     * 获取ERP订单接口
     *
     * @param paramMap
     * @return
     */
    @PostMapping("/getERPOrderData")
    public AjaxResult getERPOrderData(@RequestBody Map paramMap) {
        ERPParamDto paramDto = new ERPParamDto();
        paramDto.setAppCode(String.valueOf(paramMap.get("AppCode")));
        paramDto.setController(String.valueOf(paramMap.get("Controller")));
        paramDto.setActionName(String.valueOf(paramMap.get("ActionName")));
        paramDto.setOrderStartTime(String.valueOf(paramMap.get("OrderStartTime")));
        paramDto.setOrderEndTime(String.valueOf(paramMap.get("OrderEndTime")));
        return AjaxResult.success(portService.getERPOrderData(paramDto));
    }


}
